openapi: 3.0.1
info:
  title: marketing-shop
  description: 마케팅(marketing) 관련 shop API입니다.
  version: "1.0"
servers:
- url: https://shop-api.e-ncp.com
tags:
- name: Marketing
  description: 마케팅
paths:
  /marketing/facebook/pixel:
    get:
      tags:
      - Marketing
      summary: 페이스북 픽셀 아이디 조회하기
      description: "## 부가설명 및 특이사항\n            \n페이스북 픽셀 아이디 조회하는 API 입니다\n\n* response는\
        \ 페이스북 픽셀 아이디입니다\n"
      operationId: get-marketing-facebook-pixel-id
      parameters:
      - name: Version
        in: header
        description: API 버전
        required: true
        schema:
          type: string
        example: "1.0"
      - name: accessToken
        in: header
        description: 회원 엑세스 토큰
        required: true
        schema:
          type: string
        example: test-access-token
      - name: clientId
        in: header
        description: 쇼핑몰 클라이언트 아이디
        required: true
        schema:
          type: string
        example: f7IuuZPHwmeYilw03ow8Uw==
      - name: platform
        in: header
        description: "클라이언트 플랫폼(PC, MOBILE_WEB, AOS, IOS)"
        required: true
        schema:
          type: string
        example: PC
      responses:
        "200":
          description: "200"
          content:
            text/plain;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/marketing-facebook-pixel1116014589'
              examples:
                get-marketing-facebook-pixel-id:
                  value: "337343664058568"
components:
  schemas:
    marketing-facebook-pixel1116014589:
      type: object
      description: ""
